Skip to main content
`Ctrl`+`K`

# DMAdaptorMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user in the options database

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorMonitorSetFromOptions(DMAdaptor adaptor, const char opt[], const char name[], void *ctx)

Collective

## Input Parameters

- adaptor - `DMadaptor` object you wish to monitor

- opt - the command line option for this monitor

- name - the monitor type one is seeking

- ctx - An optional user context for the monitor, or `NULL`

## See Also

SNES: Nonlinear Solvers, `DMAdaptorMonitorRegister()`, `DMAdaptorMonitorSet()`, `PetscOptionsGetViewer()`

## Level

developer

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages